Skip to main content
Resource Center/Network Resource/L3 Network Operations
PUTL3 Network OperationsSince 5.1.0SynchronousAuth Required

ChangeL3NetworkDhcpIpAddress

ChangeL3NetworkDhcpIpAddress

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • l3NetworkUuidStringRequired

    The L3 network UUID.

Body Fields

  • changel3networkdhcpipaddressObjectRequired

    changel3networkdhcpipaddress request body object.

    • dhcpServerIpString

      Optional. The IPv4 address of the DHCP server.

    • dhcpv6ServerIpString

      Optional. The IPv6 address of the DHCP server.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • dhcpServerIpStringRequired

    No description provided.

  • dhcpv6ServerIpStringRequired

    No description provided.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/l3-networks/{l3NetworkUuid}/dhcp-ip

/zstack/v1/l3-networks/{l3NetworkUuid}/dhcp-ip

Operation ID

ChangeL3NetworkDhcpIpAddress

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/dhcp-ip' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changel3networkdhcpipaddress":{"dhcpServerIp":"<dhcpServerIp>","dhcpv6ServerIp":"<dhcpv6ServerIp>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "dhcpServerIp": "192.168.100.3", "dhcpv6ServerIp": "2024:04:28:01::100" }

Change History

This API has no change history records yet.

View all change history